import groovy.json.JsonSlurperClassic

def jsonParse(def json){
    new groovy.json.JsonSlurperClassic().parseText(json)
}
pipeline{
    agent{ label 'main' }
    environment {
        appName = "variable"
    }
    stages {
        stage("paso 1"){
            steps {
                script {
                    echo "Hola Mundo"
                }
            }
        }
    }
    post {
        always {
            deleteDir()
            script {
            echo "fase always"
            }
        }
        success {
            script {
            echo "fase sucess"
            }
        }
        failure {
            script {
            echo "fase failure"
            }
        }
    }
}
